%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

%define major		3
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

%define svn	2417
%define rel	1
%if %svn
# https://svn.kvirc.de/svn/branches/kvirc/3.4
%define release		%mkrel 0.%{svn}.%{rel}
%define distname	%{name}-%{svn}.tar.lzma
%define dirname		%{name}
%else
%define release		%mkrel %{rel}
%define distname	%{name}-%{version}.tar.bz2
%define dirname		%{name}-%{version}
%endif

Name:		kvirc
Version:	3.4.1
Release:	%{release}
Summary:	Qt IRC client
Group:		Networking/IRC
License:	GPLv2+ with exceptions
URL:		http://www.kvirc.net
Source:		ftp://ftp.kvirc.net/pub/kvirc/%{version}/source/%{distname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	qt3-devel
BuildRequires:	kdelibs-devel
BuildRequires:	arts-devel
BuildRequires:	autoconf
BuildRequires:	perl-devel
BuildRequires:	esound-devel
BuildRequires:	openssl-devel

%description
Qt-based IRC client with support for themes, transparency, encryption,
many extended IRC features, and scripting.

%package -n %{libname}
Summary:        Shared library of %{name}
Group:          System/Libraries

%description -n %{libname}
Shared library provided by %{name}.

%package  -n    %{develname}
Requires:       %{libname} = %{version}-%{release}
Summary:        Development headers for %{name}
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname kvirc 3 -d} < %{version}-%{release}

%description -n %{develname}
Development headers for %{name}.

%prep 
%setup -q -n %{dirname}

%build
sh autogen.sh
%configure_kde3 --with-qt-library-dir=%{qt3lib} --with-kde-library-dir=%{_kde3_libdir} --mandir=%{_kde3_mandir}
make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_kde3_datadir}/applications
cat > %{buildroot}%{_kde3_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=KVIrc (KDE 3)
Comment=IRC chat client
Exec=%{_kde3_bindir}/%{name} -m %u
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/x-kva;application/x-kvt;
Categories=Qt;Network;IRCClient;
EOF

rm -rf %{buildroot}%{_kde3_datadir}/applnk
# conflicts with Kopete, Kopete should probably be default - AdamW
# 2008/03
rm -f %{buildroot}%{_kde3_datadir}/services/irc.protocol

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_kde3_bindir}/*
%{_kde3_datadir}/%{name}
%{_kde3_mandir}/man1/*
%{_kde3_datadir}/services/*
%{_kde3_datadir}/applications/mandriva-%{name}.desktop
%{_kde3_datadir}/mimelnk/*
%{_kde3_iconsdir}/hicolor/[0-9]*/*/*.png
%{_kde3_iconsdir}/hicolor/scalable/*/*.svgz

%files -n %{libname}
%defattr(-,root,root)
%{_kde3_libdir}/libkvilib.so.%{major}*

%files  -n %{develname}
%defattr(-,root,root)
%{_kde3_includedir}/%{name}
%{_kde3_libdir}/libkvilib.la
%{_kde3_libdir}/libkvilib.so



%changelog
* Sun Sep 07 2008 Adam Williamson <awilliamson@mandriva.com> 3.4.1-0.2417.1mdv2009.0
+ Revision: 282376
- correct libdir in configure
- mention SVN location for 3.4 branch
- move to /opt
- enable SSL support (license problem resolved)
- update license
- bump to current SVN of 3.4 branch for updated license and misc fixes
- disable underlinking protection (breaks build, can't fix easily and I
  need to get a new build through)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.com> 3.4.0-1mdv2009.0
+ Revision: 195298
- use qt3 macros
- version the obsolete
- new release 3.4.0

* Fri Mar 21 2008 Adam Williamson <awilliamson@mandriva.com> 3.2.6-2mdv2008.1
+ Revision: 189333
- drop irc.protocol (causes conflict with kopete) (#38453)

* Wed Feb 06 2008 Adam Williamson <awilliamson@mandriva.com> 3.2.6-1mdv2008.1
+ Revision: 162955
- disable parallel build again (doesn't seem to work)
- rebuild for new era (and fixes 20120)
- adjust file list
- add --with-kde-lib-dir parameter to fix KDE-supporting build on x86-64
- include working XDG menu entry
- new library policy
- new license policy
- extensive spec clean and rearrange to fit MDV norms
- new release 3.2.6 final

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix File list
    - Add BuildRequires
    - Import kvirc

